1 votos

¿Cómo verificar si el paquete APT * necesita * interacción en la actualización antes de ejecutar la actualización?

Algunos APT paquetes de actualización sin hacer preguntas, por ejemplo, si no hay archivos de configuración se ha cambiado. Otros, no.

Me gustaría comprobar si un paquete necesita o "quiere" la interacción en la actualización.

Yo no decir obligado, no interactivo instala/actualiza como https://serverfault.com/a/227194/174041. Me gustaría simplemente para automatizar "seguro" actualizaciones (me han desatendido las actualizaciones de seguridad de todos modos, pero me gustaría también automáticamente los paquetes de actualización que puede ser relativamente segura actualizado de manera automatizada).

1voto

Dennis M. Puntos 36

Si utiliza

 apt-cache show postifx
 

verá que depende de debconf, que se usa comúnmente para hacer preguntas durante la configuración del paquete. Y esto muestra:

 apt-cache show debconf
...
Description-en: ...Packages use Debconf to ask questions when they are installed.
...
 

EnMiMaquinaFunciona.com

EnMiMaquinaFunciona es una comunidad de administradores de sistemas en la que puedes resolver tus problemas y dudas.
Puedes consultar las preguntas de otros sysadmin, hacer tus propias preguntas o resolver las de los demás.

Powered by: